Subject: broadleaf evergreens

From: [email-masked] (Steve Graf)
Date: 4 Apr 1995 17:04:16 -0500

Does anyone know a few good broadleaf evergreens (as oposed to conifers) 
that will do well in USDA zone 4 beside rhododendrons?  I'd like to 
increase my variety of broadleaf shrubs  on my property.  I love rhodies 
but want more variety.  TIA .